Bug 856175 - Review Request: python-nose-xcover - Extends nose.plugins.cover to add Cobertura-style XML reports
Review Request: python-nose-xcover - Extends nose.plugins.cover to add Cobert...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 856182
  Show dependency treegraph
 
Reported: 2012-09-11 07:41 EDT by Matthias Runge
Modified: 2015-07-27 19:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-nose-xcover-1.0.10-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 02:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-09-11 07:41:39 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-nose-xcover.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-nose-xcover-1.0.7-1.fc17.src.rpm
Description: 
A companion to the built-in nose.plugins.cover,
this plugin will write out an XML coverage report to a file named coverage.xml.
It will honor all the options you pass to the `Nose coverage plugin
especially --cover-package.

Fedora Account System Username: mrunge


rpmlint ./python-nose-xcover.spec ../RPMS/noarch/python-nose-xcover-1.0.7-1.fc17.noarch.rpm ../SRPMS/python-nose-xcover-1.0.7-1.fc17.src.rpm 
python-nose-xcover.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
python-nose-xcover.noarch: W: no-documentation
python-nose-xcover.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
2 packages and 1 specfiles checked; 0 errors, 3 warnings.


koji-scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=4474122
Comment 1 Mario Blättermann 2012-09-15 16:35:26 EDT
Taking this for review.
Comment 2 Mario Blättermann 2012-09-16 14:45:53 EDT
$ rpmlint -i -v *
python-nose-xcover.src: I: checking
python-nose-xcover.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
The value of this tag appears to be misspelled. Please double-check.

python-nose-xcover.src: I: checking-url http://pypi.python.org/pypi/nosexcover/1.0.7 (timeout 10 seconds)
python-nose-xcover.src: I: checking-url http://pypi.python.org/packages/source/n/nosexcover/nosexcover-1.0.7.tar.gz (timeout 10 seconds)
python-nose-xcover.noarch: I: checking
python-nose-xcover.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
The value of this tag appears to be misspelled. Please double-check.

python-nose-xcover.noarch: I: checking-url http://pypi.python.org/pypi/nosexcover/1.0.7 (timeout 10 seconds)
python-nose-xcover.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

python-nose-xcover.spec: I: checking-url http://pypi.python.org/packages/source/n/nosexcover/nosexcover-1.0.7.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 3 warnings.


No recognizable issues.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    2284c504e7ca9c5e36e5777f354b9224dff1f68d52f63aba62a0d50a241a824b  nosexcover-1.0.7.tar.gz
    2284c504e7ca9c5e36e5777f354b9224dff1f68d52f63aba62a0d50a241a824b  nosexcover-1.0.7.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[.] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[.] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------


Please contact the upstream developer for including documentation. For the time being you could reuse some stuff from PKG-INFO, but even that is not really useful yet.
Comment 3 Matthias Runge 2012-09-17 04:26:21 EDT
Thank you for the review! I'll contact upstream.

New Package SCM Request
=======================
Package Name: python-nose-xcover
Short Description: Extends nose.plugins.cover to add Cobertura-style XML reports
Owners: mrunge
Branches: f18
Comment 4 Jon Ciesla 2012-09-17 08:02:45 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-09-17 08:34:01 EDT
python-nose-xcover-1.0.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-nose-xcover-1.0.7-1.fc18
Comment 6 Fedora Update System 2012-09-17 16:38:42 EDT
python-nose-xcover-1.0.7-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 7 Fedora Update System 2012-09-25 02:24:06 EDT
python-nose-xcover-1.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 8 Fedora Update System 2015-07-05 07:58:16 EDT
python-nose-xcover-1.0.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-nose-xcover-1.0.10-1.el7
Comment 9 Fedora Update System 2015-07-27 19:10:30 EDT
python-nose-xcover-1.0.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.